# 64bit

%define name		qca2-qt5
%define version		2.2.1
%define major		_2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Version:	2.3.3
Release: 	%mkrel 2
License:	LGPL
Summary:	Qt Cryptographic Architecture
Group:		System/Libraries
URL:		http://delta.affinix.com/qca
Source0:	http://download.kde.org/stable/qca/%{version}/src/qca-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}/buildroot
BuildRequires:  cmake
BuildRequires:  doxygen

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  lib64pkcs11-helper-devel
BuildRequires:  lib64mbedtls-devel

%description
The QCA library provides an easy API for a range of cryptographic
features, including SSL/TLS, X.509 certificates, SASL, symmetric
ciphers, public key ciphers, hashes and much more.

Functionality is supplied via plugins. This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin. Also, by pushing crypto functionality into
plugins, applications are free of legal issues, such as export
regulation.

%files
%defattr(-,root,root)
%{_bindir}/mozcerts-qt5
%{_bindir}/qcatool-qt5
%{_mandir}/man1/qcatool-qt5.1.*

%package -n %{libname}
Summary:	Libraries for QCA
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries for QCA.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_qt5_plugindir}/crypto

%package -n %{develname}
Summary:	Development files for QCA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for QCA.

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/Qca-qt5
%{_libdir}/cmake/Qca-qt5
%{_libdir}/libqca-qt5.so
%{_libdir}/pkgconfig/qca2-qt5.pc
%{_qt5_prefix}/mkspecs

%prep
%setup -qn qca-%{version}
%{apply_patches}

%build
%cmake_qt5 \
  -DBUILD_TESTS=OFF \
  -DQCA_FEATURE_INSTALL_DIR=%{_qt5_prefix}/mkspecs/features/ \
  -DQCA_PLUGINS_INSTALL_DIR:PATH=%{_qt5_plugindir}
%make

%install
%__rm -rf %{buildroot}
%make_install -C build

%clean
%__rm -rf %{buildroot}

%changelog
* Mon Sep 19 2022 tex - 2.3.3-2pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 2.3.3-1pclos2021
- new version

* Sun Nov 22 2020 tex - 2.3.0-5pclos2020
- rebuild against updates

* Sat Sep 12 2020 tex - 2.3.0-4pclos2020
- rebuild against updates

* Tue Jun 16 2020 tex - 2.3.0-3pclos2020
- rebuild against updates

* Mon Jun 15 2020 tex - 2.3.0-2pclos2020
- rebuild against updates

* Thu Feb 27 2020 tex - 2.3.0-1pclos2020
- new version

* Thu Dec 05 2019 tex - 2.2.1-3pclos2019
- rebuild against updates

* Mon Dec 02 2019 tex - 2.2.1-2pclos2019
- rebuild against updates

* Sat Apr 26 2019 tex-  2.2.1-1pclos2019
- new

* Wed Jan 16 2019 tex - 2.1.3-2pclos2019
- rebuild against updates

* Sun Aug 27 2017 bb2 <bb2> - 2.1.3-1pclos2017
- new version

* Wed May 03 2017 ghostbunny <ghostbunny at gmx dot de> 2.1.1-2pclos2017
- rebuild against new libgcrypt

* Sat Feb 13 2016 marcin82 <fixxer1982@gmail.com> 2.1.1-1pclos2016
- Built Qca-Qt5 version for PCLinuxOS
